OS Builder/Add Restricted

From OLPC

Jump to: navigation, search

Restricted software has license conditions that prevent us from including it in published builds. These include an Adobe Flash plugin, GStreamer codecs, OpenGL ES 2.0, and vMeta hardware-accelerated codecs.

Contents

How to add

How to add restricted software to your build:

  • merge the patches from one of our restricted branches,
  • add one of the files to the end of your .ini file, or use one of the files as second argument on the builder command line, for example;
./osbuilder examples/olpc-os-14.1.0-xo4.ini restricted-4.ini

Fedora 20, OLPC OS 14.1.x, olpc-os-builder v8.0

Fedora 18, OLPC OS 13.2.x, olpc-os-builder v7.0

XO-4

  • contact OLPC for the URL of the restricted software repository,
  • download the Adobe Flash plugins from the repository,
  • use one of our restricted-4.ini files,
  • edit the file and change the first $FIXME to the URL of the repository, and change the second $FIXME to the absolute path to the downloaded Adobe Flash plugins,
  • includes an Adobe Flash plugin, GStreamer codecs, and vMeta hardware-accelerated codecs,
  • includes OpenGL ES 2.0 on Fedora 20 only,

XO-1.75

  • contact OLPC for the URL of the restricted software repository,
  • download the Adobe Flash plugins from the repository,
  • use one of our restricted-2.ini files,
  • edit the file and change the first $FIXME to the URL of the repository, and change the second $FIXME to the absolute path to the downloaded Adobe Flash plugins,
  • includes an Adobe Flash plugin, GStreamer codecs, and vMeta hardware-accelerated codecs,

XO-1.5

XO-1

See Also

Personal tools
  • Log in
  • Login with OpenID
About OLPC
About the laptop
About the tablet
Projects
OLPC wiki
Toolbox
In other languages